<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.ML.OnnxRuntime" Version="1.18.0" />
    <PackageReference Include="Qdrant.Client" Version="1.15.1" />
    <PackageReference Include="System.Text.Json" Version="10.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ReActAgentService\ReActAgentService.csproj" />
    <ProjectReference Include="..\ToolsService\ToolsService.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="onnx\model.onnx">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="onnx\tokenizer.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>


</Project>
